Bug 1469810 - [DOCS] DNS requirement for router sharding.
[DOCS] DNS requirement for router sharding.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.5.0
Unspecified Unspecified
medium Severity high
: ---
: ---
Assigned To: Michael Burke
zhaozhanqi
Vikram Goyal
3.7-release-plan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-11 17:30 EDT by Ryan Howe
Modified: 2017-09-11 21:03 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-07 17:15:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Howe 2017-07-11 17:30:32 EDT
Document URL: https://docs.openshift.com/container-platform/3.5/install_config/router/default_haproxy_router.html#using-router-shards

Section Number and Name: Router sharding

Describe the issue: 

  The documentation does not explain that separate dns entries will be needed resolving the route hostname to the correct routing shard. 

  The documentation shares information regarding using a wildcard dns record in multiple places. With a dns wildcard entry in place routes will not alway resolve to the correct router

Suggestions for improvement: 

 More explanation regarding dns requirements.
Comment 1 Michael Burke 2017-07-17 18:23:09 EDT
@Ryan -- I am not well-versed on routers in OSP. Can you provide some more details of what you would like to see in the docs?
Comment 4 Michael Burke 2017-08-01 13:40:58 EDT
PR in progress:
https://github.com/openshift/openshift-docs/pull/4894
Comment 5 Michael Burke 2017-08-15 13:32:12 EDT
@ryan PTAL https://github.com/openshift/openshift-docs/pull/4894/
Comment 6 Ryan Howe 2017-08-22 09:12:00 EDT
LGTM
Comment 7 Michael Burke 2017-08-22 09:59:22 EDT
@Zhao Please take a look.
Comment 8 Meng Bo 2017-08-29 01:26:50 EDT
The change looks good.
Comment 9 zhaozhanqi 2017-08-29 01:33:31 EDT
thanks, LGTM, Could you merge that PR and I will verify this bug.
Comment 10 openshift-github-bot 2017-08-30 11:17:19 EDT
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/15d25a7c23cdde38537ba5752037480f6fdb9ea3
Merge pull request #4894 from mburke5678/bug-1469810

Bug 1469810: Added information on the need for DNS entries for each rotuer

Note You need to log in before you can comment on or make changes to this bug.